<HdlWorker Language="vhdl" Version="2" Spec="iq_imbalance_fixer-spec.xml"
  DataWidth="32"
  ExactParts="
    zynq:xc7z020-1-clg484
    zynq_ise:xc7z020_ise_alias-1-clg484
    zynq_ultra:xczu7ev-2-ffvc1156e
    virtex6:xc6vlx240t-1-ff1156
    stratix4:ep4sgx230k-c2-f40
    artix7:xc7a50t-2-csg325">

  <Property Name="DATA_WIDTH_p" Type="uchar" Parameter="true" Default="16"
	    Description="Data Width of I and Q for internal processing" />

  <Property Name="ACC_PREC_p" Type="uchar" Parameter="true" Default="34"
	    Description="Number of bits of precision for accumulator" />

  <Property Name="PEAK_MONITOR_p" Type="bool" Parameter="true" Default="true"
	    Description="Enable/Disable build-time inclusion of Peak Monitoring" />

  <Property Name="peak" Type="short" Volatile="true"
	    Description="Peak value of I or Q output (valid when PEAK_MONITOR_p=true)"/>

  <StreamInterface Name="in"/>
  <StreamInterface Name="out" insertEOM="1"/>

</HdlWorker>
